/usr/bin/pfsindcraw is in pfstools 2.0.4-5build1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 | #!/bin/bash
############################################################
# Wrapper for dcraw.
# Convert digital camera RAW files to 16bit PPMs.
#
# this is a stub with basic functionality
############################################################
if test -z "$1" || test "$1" = "--help" || test "$1" = "-h"; then
cat <<EOF
Read an image in a camera RAW file format supported by
DCRAW and write pfs stream to the standard output as
if read from 16bit ppm file (no gamma correction,
white balance from camera if available).
Usage: pfsindcraw <file> [<file>...]
See the man page for more information.
EOF
exit 1
fi
if ! which dcraw 2>/dev/null 1>/dev/null; then
echo >&2 "pfsindcraw: dcraw program not found. Check if it is installed and can be found in the PATH."
exit 1;
fi
if ! which pfsinppm 2>/dev/null 1>/dev/null; then
echo >&2 "pfsindcraw: pfsinppm program not found. Check if pfstools are compiled with netpbm support."
exit 1;
fi
COLORSPACE=1
#Arguments used for all images passed to pfsindcraw
global_arguments=""
if test -n "$1"; then
while test "${1:0:1}" = "-"; do
case "$1" in
"--native" | "-n")
# Use native (RAW) color space
COLORSPACE=0
;;
*)
echo >&2 "Unrecognized option '$1'."
exit 1;
esac
global_arguments="$global_arguments $1"
shift
done
fi
while test "$1"; do
file_pattern="$1"
dcraw -c -o $COLORSPACE -4 -w "$file_pattern" | pfsinppm - 2> /dev/null | \
pfstag --set "FILE_NAME=${file_pattern}" --set "LUMINANCE=RELATIVE"
shift
done
|